Koozali.org formerly Contribs.org

Need some help with YUM (Solved)

Need some help with YUM (Solved)
« on: July 04, 2007, 03:43:29 PM »
I tried to update my egroupware installation from 1.2 to 1.4 and ran into trouble. I decided to remove v1.2 and do a clean install of 1.4.

This is where I am.

Quote
[root@server1 opt]# ls
dar2-mc groupoffice phpmyadmin smeserver-egroupware-1.4-7.noarch.rpm
[root@server1 opt]# yum localinstall smeserver-egroupware-1.4-7.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Setting up Local Package Process
Examining smeserver-egroupware-1.4-7.noarch.rpm: smeserver-egroupware - 1.4-7.noarch
smeserver-egroupware-1.4-7.noarch.rpm: does not update installed package.
Nothing to do
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[root@server1 opt]# yum remove smeserver-egroupware-1.4-7.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Setting up Remove Process
No Match for argument: smeserver-egroupware-1.4-7.noarch.rpm
No Packages marked for removal
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[root@server1 opt]#


When I installed the rpm the first time it did not install the database or the directories that I had when I had v1.2 up and running. In the other topic I was following others had this trouble but claimed that repeating the installation procedure would yield good results (?).

I have used the above rpm on another server with good results, so I don't think the rpm is the problem.

It would appear that the system thinks it is installed but it is not. Any advice would be appreciated

Offline bpivk

  • *
  • 908
    • http://www.bezigrad.com
Need some help with YUM (Solved)
« Reply #1 on: July 04, 2007, 05:25:40 PM »
Run yum search smeserver-egroupware and see what it finds.
"It should just work" if it doesn't report it. Thanks!

Need some help with YUM (Solved)
« Reply #2 on: July 04, 2007, 06:22:50 PM »
Thanks for your quick response. Here is the result of your request

Quote
[root@server1 ~]# yum search smeserver-egroupware
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Searching Packages:
Setting up repositories
smeaddons                 100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
updates                   100% |=========================|  951 B    00:00
smeos                     100% |=========================|  951 B    00:00
smeupdates                100% |=========================|  951 B    00:00
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished


smeserver-egroupware.noarch              1.4-7                  installed
Matched from:
smeserver-egroupware
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[root@server1 ~]#

Offline bpivk

  • *
  • 908
    • http://www.bezigrad.com
Need some help with YUM (Solved)
« Reply #3 on: July 04, 2007, 08:26:08 PM »
Now remove it with yum remove smeserver-egroupware.noarch 1.4-7
you made a mistake with [root@server1 opt]# yum remove smeserver-egroupware-1.4-7.noarch.rpm. The command should contain only the filename (without .rpm).
"It should just work" if it doesn't report it. Thanks!

Need some help with YUM (Solved)
« Reply #4 on: July 04, 2007, 09:15:14 PM »
:oops:

thx